WP3DisplayGroup Class Reference

`#include <WP3DisplayGroup.h>`

Inheritance diagram for WP3DisplayGroup:

## Public Member Functions

| WP3DisplayGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3DisplayGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes

librevenge::RVNGString | m_noteReference
librevenge::RVNGString | m_pageNumber

## Additional Inherited Members

Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP3DisplayGroup()

WP3DisplayGroup::WP3DisplayGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP3DisplayGroup()

WP3DisplayGroup::~WP3DisplayGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP3DisplayGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP3VariableLengthGroup.

## parse()

void WP3DisplayGroup::parse | ( | WP3Listener * | listener | ) |

override virtual

Implements WP3Part.

## Member Data Documentation

## m_noteReference

librevenge::RVNGString WP3DisplayGroup::m_noteReference

private

Referenced by _readContents(), parse(), and WP3DisplayGroup().

## m_pageNumber

librevenge::RVNGString WP3DisplayGroup::m_pageNumber

private

Referenced by _readContents(), parse(), and WP3DisplayGroup().

The documentation for this class was generated from the following files:

- WP3DisplayGroup.h
- WP3DisplayGroup.cpp